{% extends "users/userspace.html" %}

{% block content %}

<div class="container mt-5">
    <div class="row mb-3"> 
        <div class="col"> 
            <h1>Détails incription produit</h1>
        </div>
        <div class="col text-end">
            <a class="btn btn-secondary" href="{% url 'delivery_user_emails' delivery_id=registration.distribution.id %}?inscription_produit={{registration.id}}" target="_blank">
                <i class="fas fa-envelope me-2"></i>Exporter liste des emails
            </a>
        </div>
    </div>

    {% if registration.distribution.archive %}
        <div class="alert alert-warning" role="alert">
            La distribution associée à cette inscription est archivée.
        </div>
    {% endif %}

    <h3>Informations</h3>

    <div class="table-responsive">
        <table class="table align-middle">
            <tr>
                <td>
                    Produit :
                </td>
                <td>
                    <a href="{% url 'product_details_admin' registration.produit.id %}"
                                   target="_blank">
                    {{registration.produit.nom}}
                    </a>
                </td>
            </tr>
            <tr>
                <td>
                    Ferme :
                </td>
                <td>
                    <a href="{% url 'farm_details_admin' registration.produit.ferme.id %}"
                                   target="_blank">
                    {{registration.produit.ferme.nom}}
                    </a>
                </td>
            </tr>
            <tr>
                <td>
                    Distibution :
                </td>
                <td>
                    <a href="{% url 'delivery_details_admin' registration.distribution.id %}"
                                   target="_blank">
                    {{ registration.distribution.date_heure|date:"d/m/Y à H:i" }}
                    </a>
                </td>
            </tr>
            <tr>
                <td>
                    Signature AMAP :
                </td>
                <td>
                    {% if registration.signature_amap%}<span class="badge badge-pill bg-success">Signé</span>{%else%}<span class="badge badge-pill bg-danger">Non signé</span>{%endif%}
                </td>
            </tr>
            <tr>
                <td>
                    Signature Ferme :
                </td>
                <td>
                    {% if registration.signature_ferme%}<span class="badge badge-pill bg-success">Signé</span>{%else%}<span class="badge badge-pill bg-danger">Non signé</span>{%endif%}
                </td>
            </tr>
            <tr>
                <td>
                    Autorisé en livraison unique ?
                </td>
                <td>
                    {% if registration.livraison_unique %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
            </tr>
            {% if registration.livraison_unique %}
            <tr>
                <td>
                    Adhésion requise pour livraison unique ?
                </td>
                <td>
                    {% if registration.adhesion_requise %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
            </tr>
            {% endif %}
        </table>
    </div>

    <h3 class="mt-3">Tarif et quantités</h3>

    <div class="table-responsive">
        <table class="table align-middle">
            <tr>
                <td>
                    Tarif unitaire :
                </td>
                <td>
                    {{registration.tarif_vente|floatformat:2 }} €
                </td>
            </tr>
            <tr>
                <td>
                    Quantité unitaire :
                </td>
                <td>
                    {{registration.quantite_unitaire}}
                </td>
            </tr>
            <tr>
                <td>
                    Unités restantes :
                </td>
                <td>
                    {% if registration.unites_restantes == 0 %}
                    <span class="badge badge-pill bg-danger">Épuisé</span>
                    {% else %}
                    {{ registration.unites_restantes }}
                    {% endif %}
                </td>
            </tr>
        </table>
    </div>

    <h3 class="mt-3">Inscriptions Adhérents</h3>

    <div class="table-responsive">
        <table class="table table-striped table-hover align-middle">
            <thead>
            <tr>
                <th class="pe-1">
                    Utilisateur
                </th>
                <th class="pe-1">
                    Unités commandées
                </th>
                <th class="pe-1">
                    Tarif total
                </th>
                <th class="pe-1">
                    N° Contrat
                </th>
                <th class="pe-1">
                    Actions
                </th>
            </tr>
            </thead>
            <tbody>
            {% for inscription in inscriptions %}
            <tr>
                <td class="pe-1">
                    <a href="{% url 'user_details_admin' inscription.utilisateur.id %}"
                                   target="_blank">
                    {{ inscription.utilisateur }}
                    </a>
                </td>
                <td class="pe-1">
                    {{ inscription.unites_commandees }}
                </td>
                <td class="pe-1">
                    {{ inscription.unites_commandees|times:inscription.inscription_produit.tarif_vente|floatformat:"2" }} €
                </td>
                <td class="pe-1">
                    <a href="{% url 'contrat_details' inscription.contrat.id %}"
                                   target="_blank">
                    {{ inscription.contrat.id }}
                    </a>
                </td>
                <td class="pe-1">
                    <a href="{% url 'inscription_contrat_remove' id_inscription=inscription.id %}" class="btn btn-link" style="color: red;">
                        Supprimer
                    </a>
                </td>
            </tr>
        {% endfor %}
        {% if inscriptions|length == 0 %}
        <tr>
            <td colspan="7" class="text-center">
            Aucun résultat
            </td>
        </tr>
        {% endif %}
            </tbody>
        </table>
    </div>
    {% pagination_widget page_obj request %}

</div>
{% endblock %}
